
class BaseException:
  '''
  This interface provides basic functionality to get and set error messages and stack traces
  - Every exception inherits from <code>BaseException</code>
  '''
  
  def __init__(self, obj):
    '''
    An interface merely wraps a Bootstrap class
    '''
    self.obj = obj
  
  def __getattr__(self, attr):
    '''
    Every call to the interface is dispatched to the underlying class
    '''
    return getattr(self.obj, attr)
Exception = BaseException
