'''
URI: bk://ase.bkbits.net/Runtime

SIDL base objects
The <code>ASE</code> package contains the fundamental type and interface
definitions for the <code>SIDL</code> interface definition language.  It
defines common run-time libraries and common base classes and interfaces.
- Every interface implicitly inherits from <code>SIDL.BaseInterface</code>
- Every class implicitly inherits from <code>SIDL.BaseClass</code>.
'''
all = ['BaseInterface', 'BaseClass', 'BaseException', 'ASEException', 'DLL', 'Loader', 'Args', 'ProjectState']
